local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
  local remixcheck = getFlag("Remix")
  local tutorialcheck = getFlag("RemixTutorial")

  if tutorialcheck then
    disableMovement()
    setFlag("RemixTutorial", false)
    setFlag("RemixLearned", true)
    coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("Curse Casual", "CC_Flamecrafter113_TemporalRift_RemixIntroNew"))
end

  if remixcheck then
    setMusicLayer (3, 0)
    setFlag("Remix", false)
    setFlag("RemixChange", true)

  else
    setMusicLayer (3, 1)
    setFlag("Remix", true)
    setFlag("RemixChange", true)
  end
end

function onEnd()
  enableMovement()
end